/*
 * MinIO Client (C) 2018-2020 MinIO, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cmd

import (
	"github.com/minio/cli"
)

var adminProfileSubcommands = []cli.Command{
	adminProfileStartCmd,
	adminProfileStopCmd,
}

var adminProfileCmd = cli.Command{
	Name:            "profile",
	Usage:           "generate profile data for debugging purposes",
	Action:          mainAdminProfile,
	OnUsageError:    onUsageError,
	Before:          setGlobalsFromContext,
	Flags:           globalFlags,
	Subcommands:     adminProfileSubcommands,
	HideHelpCommand: true,
}

// mainAdminProfile is the handle for "mc admin profile" command.
func mainAdminProfile(ctx *cli.Context) error {
	commandNotFound(ctx, adminProfileSubcommands)
	return nil
}
